 /********************************************************************/         
 /*                                                                  */         
 /* COPYBOOK NAME = EPSCONFH                                         */         
 /*                                                                  */         
 /* NAME OF MATCHING ASSEMBLER COPYBOOK = EPSCONF                   */         
 /* NAME OF MATCHING COBOL     COPYBOOK = EPS0CONF                   */         
 /* NAME OF MATCHING PL/I      COPYBOOK = EPSCONFP                   */         
 /*                                                                  */         
 /* DESCRIPTIVE NAME = CICS Events for WBE Config structure          */         
 /*                                                                  */         
 /*  Licensed Materials - Property of IBM                            */         
 /*                                                                  */         
 /*  "Restricted Materials of IBM"                                   */         
 /*                                                                  */         
 /*  CICS SupportPac CB11                                            */         
 /*                                                                  */         
 /*  (C) Copyright IBM Corporation 2008, 2009 All Rights Reserved    */         
 /*  US Government Users Restricted Rights - Use, duplication        */         
 /*  or disclosure restricted by GSA ADP Schedule Contract           */         
 /*  with IBM Corporation                                            */         
 /*                                                                  */         
 /*                                                                  */         
 /* STATUS = CB11                                                    */         
 /*                                                                  */         
 /* FUNCTION = This copybook describes the structure used to pass    */         
 /*            configuration information in the EPS.CONFIG container */         
 /*            to the program supplied by the 'CICS Events for WBE'  */         
 /*            SupportPac.                                           */         
 /*                                                                  */         
 /* LIFETIME = The structure is filled in by the calling program     */         
 /*            and passed on the channel used to interface with the  */         
 /*            SupportPac program.                                   */         
 /*                                                                  */         
 /* LOCATION = Caller supplies the container in the channel on       */         
 /*            the LINK command.                                     */         
 /*                                                                  */         
 /*------------------------------------------------------------------*/         
 /*                                                                  */         
 /* CHANGE ACTIVITY :                                                */         
 /*      SEG(EPSCONFH),COMP(AP),PROD(CB11):                         */         
 /*                                                                  */         
 /*   PN= REASON REL YYMMDD HDXIII : REMARKS                         */         
 /*  D0= I08012 310 081120 HDAVCMM : Create copybook                */         
 /*  P1= D23175 310 081202 HDAVCMM : Correct brackets etc           */         
 /*  P2= D24725 410 090317 HDAVCMM : Upwards compatibility          */         
 /*  P3= D25975 410 090415 HDAVCMM : Minor correction               */         
 /*                                                                  */         
 /********************************************************************/         
??=ifdef __COMPILER_VER__                                                       
??=pragma filetag ("IBM-1047")                                                  
??=endif                                                                        
 /********************************************************************/         
 /*                                                                  */         
 /* Structure for CICS Events for WBE SupportPac configuration info  */         
 /*                                                                  */         
 /* NOTE: The strings are not null-terminated, and must be           */         
 /*       manipulated using MEMCPY                                   */         
 /*                                                                  */         
 /********************************************************************/         
                                                                                
#ifndef __EPSCONFH__                                                            
#define __EPSCONFH__  1                                                         
                                                                                
  struct                                                                        
  {                                                                             
    char        epsqueuename??(48??);  /* Queue to receive event   */           
    char        epscompat??(2??);      /* Compatibility            */           
    char        epsfiller??(14??);     /* Reserved filler          */           
  } epsconfc;                                                                   
                                                                                
                                                                                
#endif                                                                          
