 /********************************************************************/         
 /*                                                                  */         
 /* COPYBOOK NAME = EPSERRH                                          */         
 /*                                                                  */         
 /* NAME OF MATCHING ASSEMBLER COPYBOOK = EPSERR                    */         
 /* NAME OF MATCHING COBOL     COPYBOOK = EPS0ERR                    */         
 /* NAME OF MATCHING PL/I      COPYBOOK = EPSERRP                    */         
 /*                                                                  */         
 /* DESCRIPTIVE NAME = CICS Events for WBE Error structure           */         
 /*                                                                  */         
 /*  Licensed Materials - Property of IBM                            */         
 /*                                                                  */         
 /*  "Restricted Materials of IBM"                                   */         
 /*                                                                  */         
 /*  CICS SupportPac CB11                                            */         
 /*                                                                  */         
 /*  (C) Copyright IBM Corporation 2008 All Rights Reserved          */         
 /*  US Government Users Restricted Rights - Use, duplication        */         
 /*  or disclosure restricted by GSA ADP Schedule Contract           */         
 /*  with IBM Corporation                                            */         
 /*                                                                  */         
 /*                                                                  */         
 /* STATUS = CB11                                                    */         
 /*                                                                  */         
 /* FUNCTION = This copybook describes the structure returned in     */         
 /*            the error container if an error occurs in the         */         
 /*            program supplied by the 'CICS Events for WBE'         */         
 /*            SupportPac.                                           */         
 /*                                                                  */         
 /* LIFETIME = The structure is returned in a container on the       */         
 /*            channel used to interface with the SupportPac program */         
 /*            by its caller.                                        */         
 /*                                                                  */         
 /* LOCATION = Caller is returned the container in the channel on    */         
 /*            return from the LINK.                                 */         
 /*                                                                  */         
 /*------------------------------------------------------------------*/         
 /*                                                                  */         
 /* CHANGE ACTIVITY :                                                */         
 /*      SEG(EPSERRH),COMP(AP),PROD(CB11):                          */         
 /*                                                                  */         
 /*   PN= REASON REL YYMMDD HDXIII : REMARKS                         */         
 /*  D0= I08012 310 081118 HDAVCMM : Create copybook                */         
 /*  P1= D23175 310 081202 HDAVCMM : Correct brackets etc           */         
 /*                                                                  */         
 /********************************************************************/         
??=ifdef __COMPILER_VER__                                                       
??=pragma filetag ("IBM-1047")                                                  
??=endif                                                                        
 /********************************************************************/         
 /*                                                                  */         
 /* Structure for CICS Events for WBE SupportPac errors              */         
 /*                                                                  */         
 /* NOTE: The strings are not null-terminated, and must be           */         
 /*       manipulated using MEMCPY                                   */         
 /*                                                                  */         
 /********************************************************************/         
                                                                                
#ifndef __EPSERRH__                                                             
#define __EPSERRH__   1                                                         
                                                                                
                                                                                
  struct                                                                        
  {                                                                             
    signed long int epserrcode;         /* EP SupportPac error code  */         
    char            container??(16??);  /* container name            */         
    signed long int mqerrcode;          /* MQ error code             */         
  } epserrc;                                                                    
                                                                                
                                                                                
#endif                                                                          
